Bug 844150 - (mate-desktop) Review Request: mate-desktop - Shared code among mate-panel, mate-session, caja, etc
Review Request: mate-desktop - Shared code among mate-panel, mate-session, ca...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dan Mashal
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks: MATE-DE-tracker mate-settings-daemon
  Show dependency treegraph
 
Reported: 2012-07-29 08:37 EDT by Wolfgang Ulbrich
Modified: 2012-12-15 12:58 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-21 08:21:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
leigh123linux: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Wolfgang Ulbrich 2012-07-29 08:37:00 EDT
Spec URL: http://raveit65.fedorapeople.org/Mate-Desktop/fc17/SPECS/mate-desktop.spec
SRPM URL: http://raveit65.fedorapeople.org/Mate-Desktop/fc17/SRPM/mate-desktop-1.4.1-5.fc17.src.rpm
Description: The mate-desktop package contains an internal library
(libmatedesktop) used to implement some portions of the MATE
desktop, and also some data files and other shared components of the
MATE user environment.
Fedora Account System Username: raveit65
Comment 1 Mario Blättermann 2012-07-29 09:23:52 EDT
Requires: %{name} = %{version}-%{release}
should be
Requires: %{name}%{?_isa} = %{version}-%{release}
to match the correct package architecture.

Drop the following packages from BR to avoid recursive dependencies:
glib2-devel (needed by gtk2-devel)
gtk2-devel (needed by unique-devel)

Drop pycairo from "Requires" because it is needed by pygtk2 anyway.

--with-pnp-ids-path="/usr/share/hwdata/pnp.ids"
Use %{libdir} instead of the hardcoded path /usr/share if possible.
Comment 2 Wolfgang Ulbrich 2012-07-29 09:38:12 EDT
Thx for your hints Mario.
I will implement them.
But for the moment i can't work at this review request, because first the review request of mate-conf must be finished.
https://bugzilla.redhat.com/show_bug.cgi?id=844015
Mate-desktop have BuildRequires mate-conf-devel.
Comment 3 Wolfgang Ulbrich 2012-08-03 17:24:32 EDT
new starting point

%changelog
* Fri Aug 03 2012 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1.4.1-6
- start initial for fedora
- remove unnecessary buildRequires
- Drop pycairo from Requires
- change --with-pnp-ids-path="/usr/share/hwdata/pnp.ids" to
- --with-pnp-ids-path="%%{_datadir}/hwdata/pnp.ids"

* Sun Dec 25 2011 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1.1.0-1
- mate-desktop.spec based on gnome-desktop-2.32.0-9.fc16 spec

SPEC: http://raveit65.fedorapeople.org/Mate-Desktop/fc17/SPECS/mate-desktop.spec

SRPM: http://raveit65.fedorapeople.org/Mate-Desktop/fc17/SRPM/mate-desktop-1.4.1-6.fc17.src.rpm
Comment 4 Dan Mashal 2012-08-06 04:59:34 EDT
Due to your mental instability and immaturity with mate-conf you are no longer welcome as a co-maintainer of the mate-desktop group. Please discontinue any further work on this package.
Comment 5 Mario Blättermann 2012-08-06 15:16:13 EDT
(In reply to comment #4)
> Due to your mental instability and immaturity with mate-conf you are no
> longer welcome as a co-maintainer of the mate-desktop group. Please
> discontinue any further work on this package.

You don't have to decide who is to be considered as mental unstable or immature. Keep an eye on your own review requests, and you'll see you are far away from a perfect packager.
Comment 6 Wolfgang Ulbrich 2012-08-07 12:55:05 EDT
new koji scratch build

http://koji.fedoraproject.org/koji/taskinfo?taskID=4366888

%changelog
* Fri Aug 03 2012 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1.4.1-7
- add desktopfile install for mate-about.desktop
- add BuildRequires desktop-file-utils
- remove BuildRequires intltool gtk-doc

* Fri Aug 03 2012 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1.4.1-6
- start initial for fedora
- remove unnecessary buildRequires
- Drop pycairo from Requires
- change --with-pnp-ids-path="/usr/share/hwdata/pnp.ids" to
- --with-pnp-ids-path="%%{_datadir}/hwdata/pnp.ids"

* Sun Dec 25 2011 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1.1.0-1
- mate-desktop.spec based on gnome-desktop-2.32.0-9.fc16 spec

incorrect-fsf-address rpmlint errors are in upstream

https://github.com/mate-desktop/mate-desktop/commit/2a6227b40b69723d29b30023dc95758871cb3c8f

SPEC: http://raveit65.fedorapeople.org/Mate-Desktop/fc18/SPECS/mate-desktop.spec

SRPM: http://raveit65.fedorapeople.org/Mate-Desktop/fc18/SRPM/mate-desktop-1.4.1-7.fc18.src.rpm
Comment 7 leigh scott 2012-08-11 10:18:38 EDT
Can you change the files section to

%files -f %{po_package}.lang
%doc AUTHORS COPYING COPYING.LIB NEWS README
%{_datadir}/applications/mate-about.desktop
%doc %{_mandir}/man1/mate-about.1*
# GPL
%{_bindir}/mate-about
# LGPL
%{_libdir}/libmate-desktop-2.so.*
%{_datadir}/mate/help/*/*/*.xml
%{_datadir}/omf/mate
%{_datadir}/mate-about

%files devel
%{_libdir}/libmate-desktop-2.so
%{_libdir}/pkgconfig/*
%{_includedir}/mate-desktop-2.0
%doc %{_datadir}/gtk-doc/html/mate-desktop


As I believe this package owns these directories

%{_datadir}/omf/mate
%{_datadir}/mate-about
%{_includedir}/mate-desktop-2.0
%{_datadir}/gtk-doc/html/mate-desktop


Also just cosmetic, try this as it looks better imo

# to avoid conflicts with gnome
mkdir $RPM_BUILD_ROOT%{_datadir}/omf/mate
mv -f $RPM_BUILD_ROOT%{_datadir}/omf/{fdl,gpl,lgpl} $RPM_BUILD_ROOT%{_datadir}/omf/mate
Comment 8 Rex Dieter 2012-08-11 10:37:01 EDT
Oh, if there's shared libraries at work here, I'd suggest a separate -libs pkg for those (and makes it easier to highlight the licensing as a bonus).  Doing so  makes dealing with multilib issues  easier.
Comment 9 Wolfgang Ulbrich 2012-08-11 15:15:22 EDT
I've add your hints in new koji scratch build

%changelog
* Sat Aug 11 2012 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1.4.1-8
- change file section for own directories
- change 'to avoid conflicts with gnome' part
- add libs subpackage for shared libraries

* Fri Aug 03 2012 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1.4.1-7
- add desktop file install for mate-about.desktop
- add BuildRequires desktop-file-utils
- remove BuildRequires intltool gtk-doc

* Fri Aug 03 2012 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1.4.1-6
- start initial for fedora
- remove unnecessary buildRequires
- Drop pycairo from Requires
- change --with-pnp-ids-path="/usr/share/hwdata/pnp.ids" to
- --with-pnp-ids-path="%%{_datadir}/hwdata/pnp.ids"

* Sun Dec 25 2011 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1.1.0-1
- mate-desktop.spec based on gnome-desktop-2.32.0-9.fc16 spec

http://koji.fedoraproject.org/koji/taskinfo?taskID=4379669

SPEC: http://raveit65.fedorapeople.org/Mate-Desktop/f19/SPECS/mate-desktop.spec

SRPM: http://raveit65.fedorapeople.org/Mate-Desktop/f19/SRPM/mate-desktop-1.4.1-8.fc19.src.rpm
Comment 10 leigh scott 2012-08-11 16:11:28 EDT
APPROVED - please add isa tag to libs sub-package when you import.

%package libs
Summary: Shared libraries for libmate-desktop
License: LGPLv2+
Group: Development/Libraries
Requires: %{name}%{?_isa} = %{version}-%{release}


Package Review
==============

Key:
- = N/A
x = Pass
! = Fail
? = Not evaluated



==== C/C++ ====
[x]: MUST Header files in -devel subpackage, if present.
[x]: MUST ldconfig called in %post and %postun if required.
[x]: MUST Package does not contain any libtool archives (.la)
[-]: MUST Package does not contain kernel modules.
[-]: MUST Package contains no static executables.
[x]: MUST Rpath absent or only used for internal libs.
[x]: MUST Development (unversioned) .so files in -devel subpackage, if
     present.


==== Generic ====
[x]: EXTRA Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: EXTRA Spec file according to URL is the same as in SRPM.
[x]: MUST Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: MUST Package successfully compiles and builds into binary rpms on at
     least one supported primary architecture.
[x]: MUST %build honors applicable compiler flags or justifies otherwise.
[x]: MUST All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: MUST Buildroot is not present
     Note: Unless packager wants to package for EPEL5 this is fine
[x]: MUST Package contains no bundled libraries.
[x]: MUST Changelog in prescribed format.
[x]: MUST Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: Clean would be needed if support for EPEL is required
[x]: MUST Sources contain only permissible code or content.
[x]: MUST Each %files section contains %defattr if rpm < 4.4
     Note: Note: defattr macros not found. They would be needed for EPEL5
[-]: MUST Macros in Summary, %description expandable at SRPM build time.
[x]: MUST Package contains desktop file if it is a GUI application.
[x]: MUST Package installs a %{name}.desktop using desktop-file-install if
     there is such a file.
[x]: MUST Development files must be in a -devel package
[-]: MUST Package requires other packages for directories it uses.
[x]: MUST Package uses nothing in %doc for runtime.
[x]: MUST Package is not known to require ExcludeArch.
[x]: MUST Permissions on files are set properly.
[x]: MUST Package does not contain duplicates in %files.
[x]: MUST Fully versioned dependency in subpackages, if present.
[x]: MUST Package complies to the Packaging Guidelines
[x]: MUST Spec file lacks Packager, Vendor, PreReq tags.
[x]: MUST Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf would be needed if support for EPEL5 is required
[-]: MUST Large documentation files are in a -doc subpackage, if required.
[x]: MUST If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %doc.
[x]: MUST License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "*No copyright* UNKNOWN", "*No copyright* GPL (v2 or later) (with
     incorrect FSF address)", "LGPL (v2 or later) (with incorrect FSF address)
     GENERATED FILE", "GPL (v2 or later)", "GPL (with incorrect FSF address)",
     "GPL (with incorrect FSF address) GENERATED FILE", "LGPL (v2 or later)
     (with incorrect FSF address)", "*No copyright* GENERATED FILE", "MIT/X11
     (BSD like)" For detailed output of licensecheck see file:
     /home/leigh/844150-mate-desktop/licensecheck.txt
[x]: MUST License file installed when any subpackage combination is installed.
[x]: MUST The spec file handles locales properly.
[x]: MUST Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: MUST Package is named using only allowed ascii characters.
[x]: MUST Package is named according to the Package Naming Guidelines.
[x]: MUST Package does not generate any conflict.
     Note: Package contains no Conflicts: tag(s)
[x]: MUST Package obeys FHS, except libexecdir and /usr/target.
[x]: MUST Package must own all directories that it creates.
[x]: MUST Package does not own files or directories owned by other packages.
[x]: MUST Package installs properly.
[x]: MUST Package is not relocatable.
[!]: MUST Package requires pkgconfig, if .pc files are present. (EPEL5)
     Note: Only applicable for EL-5
[x]: MUST Requires correct, justified where necessary.
[x]: MUST Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: MUST Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: MUST Spec file is legible and written in American English.
[x]: MUST Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[-]: MUST Package contains systemd file(s) if in need.
[x]: MUST File names are valid UTF-8.
[x]: MUST Useful -debuginfo package or justification otherwise.
[x]: SHOULD Reviewer should test that the package builds in mock.
[-]: SHOULD If the source package does not include license text(s) as a
     separate file from upstream, the packager SHOULD query upstream to
     include it.
[x]: SHOULD Dist tag is present.
[x]: SHOULD No file requires outside of /etc, /bin, /sbin, /usr/bin,
     /usr/sbin.
[x]: SHOULD Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[x]: SHOULD Package functions as described.
[x]: SHOULD Latest version is packaged.
[-]: SHOULD Package does not include license text files separate from
     upstream.
[x]: SHOULD Patches link to upstream bugs/comments/lists or are otherwise
     justified.
[x]: SHOULD The placement of pkgconfig(.pc) files are correct.
[-]: SHOULD Scriptlets must be sane, if used.
[!]: SHOULD SourceX / PatchY prefixed with %{name}.
     Note: Patch0 (0001-bgo-629168-Don-t-read-past-the-end-of-a-string-
     mate.patch) Patch1 (0001-Fix-possible-double-free-when-destroying-
     private-win.patch)
[x]: SHOULD SourceX is a working URL.
[-]: SHOULD Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: SHOULD Package should compile and build into binary rpms on all supported
     architectures.
[-]: SHOULD %check is present and all tests pass.
[?]: SHOULD Packages should try to preserve timestamps of original installed
     files.
[x]: SHOULD Spec use %global instead of %define.

Issues:
[!]: MUST Package requires pkgconfig, if .pc files are present. (EPEL5)
     Note: Only applicable for EL-5
See: http://fedoraproject.org/wiki/EPEL/GuidelinesAndPolicies#EL5

Rpmlint
-------
Checking: mate-desktop-libs-1.4.1-8.fc17.x86_64.rpm
          mate-desktop-debuginfo-1.4.1-8.fc17.x86_64.rpm
          mate-desktop-devel-1.4.1-8.fc17.x86_64.rpm
          mate-desktop-1.4.1-8.fc17.src.rpm
          mate-desktop-1.4.1-8.fc17.x86_64.rpm
mate-desktop-libs.x86_64: W: spelling-error Summary(en_US) libmate -> lib mate, lib-mate, liberate
mate-desktop-libs.x86_64: W: spelling-error %description -l en_US libmate -> lib mate, lib-mate, liberate
mate-desktop-libs.x86_64: W: no-documentation
mate-desktop-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-desktop-1.4.1/libmate-desktop/libmateui/mate-rr-config.h
mate-desktop-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-desktop-1.4.1/mate-about/mate-about.h
mate-desktop-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-desktop-1.4.1/libmate-desktop/mate-bg.c
mate-desktop-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-desktop-1.4.1/mate-about/mate-about.c
mate-desktop-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-desktop-1.4.1/libmate-desktop/libmate/mate-desktop-utils.h
mate-desktop-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-desktop-1.4.1/libmate-desktop/libmateui/mate-rr-labeler.h
mate-desktop-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-desktop-1.4.1/libmate-desktop/edid.h
mate-desktop-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-desktop-1.4.1/libmate-desktop/mate-desktop-thumbnail.c
mate-desktop-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-desktop-1.4.1/libmate-desktop/mate-rr.c
mate-desktop-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-desktop-1.4.1/libmate-desktop/libmate/mate-desktop-item.h
mate-desktop-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-desktop-1.4.1/libmate-desktop/mate-rr-config.c
mate-desktop-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-desktop-1.4.1/libmate-desktop/libmateui/mate-bg.h
mate-desktop-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-desktop-1.4.1/libmate-desktop/private.h
mate-desktop-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-desktop-1.4.1/libmate-desktop/libmateui/mate-rr.h
mate-desktop-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-desktop-1.4.1/libmate-desktop/mate-rr-labeler.c
mate-desktop-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-desktop-1.4.1/libmate-desktop/libmateui/mate-desktop-thumbnail.h
mate-desktop-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-desktop-1.4.1/libmate-desktop/mate-thumbnail-pixbuf-utils.c
mate-desktop-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-desktop-1.4.1/libmate-desktop/mate-desktop-utils.c
mate-desktop-devel.x86_64: W: spelling-error %description -l en_US libmatedesktop -> desktop
mate-desktop-devel.x86_64: E: incorrect-fsf-address /usr/include/mate-desktop-2.0/libmateui/mate-rr-labeler.h
mate-desktop-devel.x86_64: E: incorrect-fsf-address /usr/include/mate-desktop-2.0/libmate/mate-desktop-utils.h
mate-desktop-devel.x86_64: E: incorrect-fsf-address /usr/include/mate-desktop-2.0/libmate/mate-desktop-item.h
mate-desktop-devel.x86_64: E: incorrect-fsf-address /usr/include/mate-desktop-2.0/libmateui/mate-bg.h
mate-desktop-devel.x86_64: E: incorrect-fsf-address /usr/include/mate-desktop-2.0/libmateui/mate-desktop-thumbnail.h
mate-desktop-devel.x86_64: E: incorrect-fsf-address /usr/include/mate-desktop-2.0/libmateui/mate-rr-config.h
mate-desktop-devel.x86_64: E: incorrect-fsf-address /usr/include/mate-desktop-2.0/libmateui/mate-rr.h
mate-desktop.src: W: spelling-error %description -l en_US libmatedesktop -> desktop
mate-desktop.x86_64: W: spelling-error %description -l en_US libmatedesktop -> desktop
5 packages and 0 specfiles checked; 25 errors, 6 warnings.


Rpmlint (installed packages)
----------------------------
# rpmlint mate-desktop mate-desktop-debuginfo
mate-desktop.x86_64: I: enchant-dictionary-not-found en_US
mate-desktop-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-desktop-1.4.1/libmate-desktop/libmateui/mate-rr-config.h
mate-desktop-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-desktop-1.4.1/mate-about/mate-about.h
mate-desktop-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-desktop-1.4.1/libmate-desktop/mate-bg.c
mate-desktop-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-desktop-1.4.1/mate-about/mate-about.c
mate-desktop-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-desktop-1.4.1/libmate-desktop/libmate/mate-desktop-utils.h
mate-desktop-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-desktop-1.4.1/libmate-desktop/libmateui/mate-rr-labeler.h
mate-desktop-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-desktop-1.4.1/libmate-desktop/edid.h
mate-desktop-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-desktop-1.4.1/libmate-desktop/mate-desktop-thumbnail.c
mate-desktop-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-desktop-1.4.1/libmate-desktop/mate-rr.c
mate-desktop-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-desktop-1.4.1/libmate-desktop/libmate/mate-desktop-item.h
mate-desktop-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-desktop-1.4.1/libmate-desktop/mate-rr-config.c
mate-desktop-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-desktop-1.4.1/libmate-desktop/libmateui/mate-bg.h
mate-desktop-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-desktop-1.4.1/libmate-desktop/private.h
mate-desktop-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-desktop-1.4.1/libmate-desktop/libmateui/mate-rr.h
mate-desktop-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-desktop-1.4.1/libmate-desktop/mate-rr-labeler.c
mate-desktop-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-desktop-1.4.1/libmate-desktop/libmateui/mate-desktop-thumbnail.h
mate-desktop-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-desktop-1.4.1/libmate-desktop/mate-thumbnail-pixbuf-utils.c
mate-desktop-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-desktop-1.4.1/libmate-desktop/mate-desktop-utils.c
2 packages and 0 specfiles checked; 18 errors, 0 warnings.
# echo 'rpmlint-done:'

Requires
--------
mate-desktop-libs-1.4.1-8.fc17.x86_64.rpm (rpmlib, GLIBC filtered):
    
    /sbin/ldconfig  
    libX11.so.6()(64bit)  
    libXrandr.so.2()(64bit)  
    libatk-1.0.so.0()(64bit)  
    libc.so.6()(64bit)  
    libcairo.so.2()(64bit)  
    libfontconfig.so.1()(64bit)  
    libfreetype.so.6()(64bit)  
    libgdk-x11-2.0.so.0()(64bit)  
    libgdk_pixbuf-2.0.so.0()(64bit)  
    libgio-2.0.so.0()(64bit)  
    libglib-2.0.so.0()(64bit)  
    libgobject-2.0.so.0()(64bit)  
    libgtk-x11-2.0.so.0()(64bit)  
    libmateconf-2.so.4()(64bit)  
    libpango-1.0.so.0()(64bit)  
    libpangocairo-1.0.so.0()(64bit)  
    libpangoft2-1.0.so.0()(64bit)  
    libstartup-notification-1.so.0()(64bit)  
    mate-desktop = 1.4.1-8.fc17
    rtld(GNU_HASH)  

mate-desktop-debuginfo-1.4.1-8.fc17.x86_64.rpm (rpmlib, GLIBC filtered):
    

mate-desktop-devel-1.4.1-8.fc17.x86_64.rpm (rpmlib, GLIBC filtered):
    
    /usr/bin/pkg-config  
    libmate-desktop-2.so.17()(64bit)  
    mate-desktop(x86-64) = 1.4.1-8.fc17
    pkgconfig(gtk+-2.0)  
    pkgconfig(libstartup-notification-1.0)  

mate-desktop-1.4.1-8.fc17.x86_64.rpm (rpmlib, GLIBC filtered):
    
    libatk-1.0.so.0()(64bit)  
    libc.so.6()(64bit)  
    libcairo.so.2()(64bit)  
    libfontconfig.so.1()(64bit)  
    libfreetype.so.6()(64bit)  
    libgdk-x11-2.0.so.0()(64bit)  
    libgdk_pixbuf-2.0.so.0()(64bit)  
    libgio-2.0.so.0()(64bit)  
    libglib-2.0.so.0()(64bit)  
    libgobject-2.0.so.0()(64bit)  
    libgtk-x11-2.0.so.0()(64bit)  
    libpango-1.0.so.0()(64bit)  
    libpangocairo-1.0.so.0()(64bit)  
    libpangoft2-1.0.so.0()(64bit)  
    libpthread.so.0()(64bit)  
    libunique-1.0.so.0()(64bit)  
    pygtk2  
    redhat-menus  
    rtld(GNU_HASH)  

Provides
--------
mate-desktop-libs-1.4.1-8.fc17.x86_64.rpm:
    
    libmate-desktop-2.so.17()(64bit)  
    mate-desktop-libs = 1.4.1-8.fc17
    mate-desktop-libs(x86-64) = 1.4.1-8.fc17

mate-desktop-debuginfo-1.4.1-8.fc17.x86_64.rpm:
    
    mate-desktop-debuginfo = 1.4.1-8.fc17
    mate-desktop-debuginfo(x86-64) = 1.4.1-8.fc17

mate-desktop-devel-1.4.1-8.fc17.x86_64.rpm:
    
    mate-desktop-devel = 1.4.1-8.fc17
    mate-desktop-devel(x86-64) = 1.4.1-8.fc17
    pkgconfig(mate-desktop-2.0) = 1.4.1

mate-desktop-1.4.1-8.fc17.x86_64.rpm:
    
    mate-desktop = 1.4.1-8.fc17
    mate-desktop(x86-64) = 1.4.1-8.fc17

MD5-sum check
-------------
http://pub.mate-desktop.org/releases/1.4/mate-desktop-1.4.1.tar.xz :
  MD5SUM this package     : 96aa6d58ae8ede299c65261bdc365409
  MD5SUM upstream package : 96aa6d58ae8ede299c65261bdc365409


Generated by fedora-review 0.2.0 (53cc903) last change: 2012-07-09
Command line :/usr/bin/fedora-review -b 844150
External plugins:
Comment 11 Wolfgang Ulbrich 2012-08-11 17:09:06 EDT
New Package SCM Request
=======================
Package Name: mate-desktop
Short Description: Shared code among mate-panel, mate-session, caja, etc
Owners: raveit65 rdieter vicodan
Branches: f16 f17 f18
InitialCC:
Comment 12 Dan Mashal 2012-08-11 19:01:57 EDT
nice. :)
Comment 13 Jon Ciesla 2012-08-12 13:52:12 EDT
Git done (by process-git-requests).
Comment 14 Fedora Update System 2012-08-12 15:25:02 EDT
mate-desktop-1.4.1-10.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/mate-desktop-1.4.1-10.fc16
Comment 15 Fedora Update System 2012-08-12 15:30:13 EDT
mate-desktop-1.4.1-10.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/mate-desktop-1.4.1-10.fc17
Comment 16 Fedora Update System 2012-08-12 22:21:21 EDT
Package mate-desktop-1.4.1-10.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing mate-desktop-1.4.1-10.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-11752/mate-desktop-1.4.1-10.fc17
then log in and leave karma (feedback).
Comment 17 Wolfgang Ulbrich 2012-08-21 08:21:39 EDT
I don't work for the Mate-Desktop project anymore, because i see no basic for working together with Dan Mashal.
Comment 18 Fedora Update System 2012-08-28 15:21:34 EDT
mate-desktop-1.4.1-10.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/FEDORA-2012-12745/mate-desktop-1.4.1-10.fc16
Comment 19 Fedora Update System 2012-11-19 23:29:05 EST
mate-desktop-1.5.3-5.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/mate-desktop-1.5.3-5.fc16
Comment 20 Fedora Update System 2012-11-25 18:20:06 EST
mate-desktop-1.5.4-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/mate-desktop-1.5.4-1.fc16
Comment 21 Fedora Update System 2012-12-03 18:17:01 EST
mate-desktop-1.5.5-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/mate-desktop-1.5.5-1.fc16
Comment 22 Fedora Update System 2012-12-03 23:55:52 EST
mate-desktop-1.5.3-5.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 23 Fedora Update System 2012-12-15 12:58:38 EST
mate-desktop-1.5.5-1.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.